name: Section liste de pages
icon: grid
wysiwyg: true
preview: fields
tabs:
  content:
    label: Contenu
    icon: text
    fields:
      heading: fields/heading-section
       
      
      cards:
        label: Pages
        type: structure
        max: 4
        columns: 
          link:
            width: 1/2
          heading:
            width: 3/4
          description:
            width: 2/4

        fields:
          heading:
            label: Titre personnalisé
            type: text
            help: "Si pas renseigné, c'est le titre de la page qui sera pris en compte."
            maxlength: 100

          description:
            label: Description personnalisée
            extends: fields/writer-simple
            help: "Si pas renseigné, c'est la description de la page qui sera pris en compte."
            marks: false
            nodes: false
            inline: true

          link:
            label: Page
            type: link
            width: 1/2
            required: true
            options:
              - page
          label:
            label: Label bouton
            type: text
            placeholder: "Découvrir"
            maxlength: 30
            width: 1/2

  settings: tabs/blocks-settings


  